## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XalanQNameByValueAllocator Class Reference

List of all members.

## Public Types

- typedef XalanQNameByValue data_type
- typedef data_type::NamespacesStackType NamespacesStackType
- typedef data_type::LocatorType LocatorType
- typedef ArenaAllocator< data_type > ArenaAllocatorType
- typedef ArenaAllocatorType::size_type size_type

## Public Member Functions

- XalanQNameByValueAllocator (MemoryManagerType &theManager, size_type theBlockCount)
    Construct an instance that will allocate blocks of the specified size.
- ~XalanQNameByValueAllocator ()
- data_type * create (const XalanQNameByValue &theSource)
    Create an instance.
- data_type * create (const XalanDOMString &theNamespaceURI, const XalanDOMString &theLocalPart)
    Create an instance.
- data_type * create (const XalanDOMString &qname, const NamespacesStackType &namespaces, const LocatorType *locator=0, bool fUseDefault=false)
    Create an instance.
- data_type * create (const XalanDOMChar *qname, const NamespacesStackType &namespaces, const LocatorType *locator=0, bool fUseDefault=false)
    Create an instance.
- data_type * create (const XalanDOMString &qname, const XalanElement *namespaceContext, const XPathEnvSupport &envSupport, const DOMSupport &domSupport, const LocatorType *locator=0)
    Create an instance.
- data_type * create (const XalanDOMString &qname, const PrefixResolver *theResolver=0, const LocatorType *locator=0)
    Create an instance.
- bool ownsObject (const data_type *theObject)
    Determine if an object is owned by the allocator...
- void reset ()
    Delete all objects from the allocator.
- size_type getBlockCount () const
    Get the number of ArenaBlocks currently allocated.
- size_type getBlockSize () const
    Get size of an ArenaBlock, that is, the number of objects in each block.

## Member Typedef Documentation

typedef ArenaAllocator<data_type> XalanQNameByValueAllocator::ArenaAllocatorType

typedef XalanQNameByValue XalanQNameByValueAllocator::data_type

typedef data_type::LocatorType XalanQNameByValueAllocator::LocatorType

typedef data_type::NamespacesStackType XalanQNameByValueAllocator::NamespacesStackType

typedef ArenaAllocatorType::size_type XalanQNameByValueAllocator::size_type

## Constructor & Destructor Documentation

XalanQNameByValueAllocator::XalanQNameByValueAllocator | ( | MemoryManagerType & | theManager,
|  | size_type | theBlockCount
| ) |

Construct an instance that will allocate blocks of the specified size.

Parameters:

  theBlockSize | The block size.

XalanQNameByValueAllocator::~XalanQNameByValueAllocator | ( |  | ) |

## Member Function Documentation

data_type* XalanQNameByValueAllocator::create | ( | const XalanDOMString & | qname,
|  | const PrefixResolver * | theResolver = 0,
|  | const LocatorType * | locator = 0
| ) |

Create an instance.

Parameters:

  qname | QName string
  theResolver | prefix resolver to use
  locator | The Locator instance for error reporting, if any

Returns:
  A pointer to the new instance.

data_type* XalanQNameByValueAllocator::create | ( | const XalanDOMString & | qname,
|  | const XalanElement * | namespaceContext,
|  | const XPathEnvSupport & | envSupport,
|  | const DOMSupport & | domSupport,
|  | const LocatorType * | locator = 0
| ) |

Create an instance.

Parameters:

  qname | QName string
  namespaceContext | context object for namespace resolution
  envSupport | XPathEnvSupport class instance
  domSupport | DOMSupport class instance
  locator | The Locator instance for error reporting, if any

Returns:
  A pointer to the new instance.

data_type* XalanQNameByValueAllocator::create | ( | const XalanDOMChar * | qname,
|  | const NamespacesStackType & | namespaces,
|  | const LocatorType * | locator = 0,
|  | bool | fUseDefault = false
| ) |

Create an instance.

Parameters:

  qname | QName string
  namespaces | namespace vector stack to use
  locator | The Locator instance for error reporting, if any
  fUseDefault | If true, then elements with no prefix will have the default namespace URI, if there is one.

Returns:
  A pointer to the new instance.

data_type* XalanQNameByValueAllocator::create | ( | const XalanDOMString & | qname,
|  | const NamespacesStackType & | namespaces,
|  | const LocatorType * | locator = 0,
|  | bool | fUseDefault = false
| ) |

Create an instance.

Parameters:

  qname | QName string
  namespaces | namespace vector stack to use
  locator | The Locator instance for error reporting, if any
  fUseDefault | If true, then elements with no prefix will have the default namespace URI, if there is one.

Returns:
  A pointer to the new instance.

data_type* XalanQNameByValueAllocator::create | ( | const XalanDOMString & | theNamespaceURI,
|  | const XalanDOMString & | theLocalPart
| ) |

Create an instance.

Parameters:

  theNamespace | namespace string
  theLocalPart | local part string

Returns:
  A pointer to the new instance.

data_type* XalanQNameByValueAllocator::create | ( | const XalanQNameByValue & | theSource | ) |

Create an instance.

Parameters:

  theSource | The source of the copy.

Returns:
  A pointer to the new instance.

size_type XalanQNameByValueAllocator::getBlockCount | ( |  | ) | const

Get the number of ArenaBlocks currently allocated.

Returns:
  The number of blocks.

size_type XalanQNameByValueAllocator::getBlockSize | ( |  | ) | const

Get size of an ArenaBlock, that is, the number of objects in each block.

Returns:
  The size of the block

bool XalanQNameByValueAllocator::ownsObject | ( | const data_type * | theObject | ) |

| Determine if an object is owned by the allocator...

void XalanQNameByValueAllocator::reset | ( |  | ) |

| Delete all objects from the allocator.

The documentation for this class was generated from the following file:

- XalanQNameByValueAllocator.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.